local fuelbarS = ( 120 *math.pi / 180) 
local fuelbarangle = 0


function update(dt)
    fuelbar()
end


function fuelbar()
    fuelbarangle = ( (56-120)/(car.maxFuel-0) * math.pi/180 )*car.fuel + ((56 * math.pi/180 ) - ( (56-120)/(car.maxFuel-0) )*car.maxFuel * math.pi/180)
    ui.pathUnevenArcTo(vec2(471,384.5), 272, fuelbarS , fuelbarangle , 128)
    ui.pathStroke(rgbm(1,1,1,1), false, 12)

    ui.drawLine(vec2(463, 28), vec2(540, 28), rgbm(0,0,0,1), 15)

    ac.debug("fuel", car.fuel)
end



